Bug 35782 - Enhance CSS parser for Paged Media (Iteration 2)
: Enhance CSS parser for Paged Media (Iteration 2)
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Yuzo Fujishima
:
Depends on: 35329
Blocks: 15548 35851
  Show dependency treegraph
 
Reported: 2010-03-04 21:31 PST by Yuzo Fujishima
Modified: 2010-04-27 23:19 PDT (History)
5 users (show)

See Also:


Attachments
Enhance CSS parser for Paged Media (Iteration 1) (16.45 KB, patch)
2010-03-04 21:34 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Enhance CSS parser for Paged Media (Iteration 2) (14.00 KB, patch)
2010-03-04 21:36 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Enhance CSS parser for Paged Media (Iteration 2) (21.02 KB, patch)
2010-03-07 22:36 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Enhance CSS parser for Paged Media (Iteration 2) (21.05 KB, patch)
2010-03-10 02:12 PST, Yuzo Fujishima
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuzo Fujishima 2010-03-04 21:31:08 PST
Parse and hold paged media rules in CSSStyleSelector.
Comment 1 Yuzo Fujishima 2010-03-04 21:34:26 PST
Created attachment 50087 [details]
Enhance CSS parser for Paged Media (Iteration 1)
Comment 2 Yuzo Fujishima 2010-03-04 21:36:44 PST
Created attachment 50088 [details]
Enhance CSS parser for Paged Media (Iteration 2)
Comment 3 Yuzo Fujishima 2010-03-04 21:39:51 PST
As indicated above, this depends on
https://bugs.webkit.org/show_bug.cgi?id=35329
Comment 4 Yuzo Fujishima 2010-03-07 22:36:24 PST
Created attachment 50189 [details]
Enhance CSS parser for Paged Media (Iteration 2)
Comment 5 Yuzo Fujishima 2010-03-10 02:12:33 PST
Created attachment 50383 [details]
Enhance CSS parser for Paged Media (Iteration 2)
Comment 6 Eric Seidel 2010-03-15 16:12:30 PDT
Comment on attachment 50383 [details]
Enhance CSS parser for Paged Media (Iteration 2)

LGTM.
Comment 7 Yuzo Fujishima 2010-04-27 23:19:52 PDT
Committed r58383: <http://trac.webkit.org/changeset/58383>